1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getSystemUserPasswordsV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    Lists password status of system user accounts on supported products.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    // List Password Status Of All System Users
    const passwords = nutanix.getSystemUserPasswordsV2({});
    // List Password Status Of All System Users With Limit
    const limitedPasswords = nutanix.getSystemUserPasswordsV2({
        limit: 10,
    });
    // List Password Status Of All System Users With Filter
    const filteredPasswords = nutanix.getSystemUserPasswordsV2({
        filter: "systemType eq Clustermgmt.Config.SystemType'PC'",
    });
    // List Password Status Of Admin PC User
    const adminPcPasswords = nutanix.getSystemUserPasswordsV2({
        filter: "username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'",
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    # List Password Status Of All System Users
    passwords = nutanix.get_system_user_passwords_v2()
    # List Password Status Of All System Users With Limit
    limited_passwords = nutanix.get_system_user_passwords_v2(limit=10)
    # List Password Status Of All System Users With Filter
    filtered_passwords = nutanix.get_system_user_passwords_v2(filter="systemType eq Clustermgmt.Config.SystemType'PC'")
    # List Password Status Of Admin PC User
    admin_pc_passwords = nutanix.get_system_user_passwords_v2(filter="username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'")
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// List Password Status Of All System Users
    		_, err := nutanix.GetSystemUserPasswordsV2(ctx, &nutanix.GetSystemUserPasswordsV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// List Password Status Of All System Users With Limit
    		_, err = nutanix.GetSystemUserPasswordsV2(ctx, &nutanix.GetSystemUserPasswordsV2Args{
    			Limit: pulumi.IntRef(10),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List Password Status Of All System Users With Filter
    		_, err = nutanix.GetSystemUserPasswordsV2(ctx, &nutanix.GetSystemUserPasswordsV2Args{
    			Filter: pulumi.StringRef("systemType eq Clustermgmt.Config.SystemType'PC'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List Password Status Of Admin PC User
    		_, err = nutanix.GetSystemUserPasswordsV2(ctx, &nutanix.GetSystemUserPasswordsV2Args{
    			Filter: pulumi.StringRef("username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        // List Password Status Of All System Users
        var passwords = Nutanix.GetSystemUserPasswordsV2.Invoke();
    
        // List Password Status Of All System Users With Limit
        var limitedPasswords = Nutanix.GetSystemUserPasswordsV2.Invoke(new()
        {
            Limit = 10,
        });
    
        // List Password Status Of All System Users With Filter
        var filteredPasswords = Nutanix.GetSystemUserPasswordsV2.Invoke(new()
        {
            Filter = "systemType eq Clustermgmt.Config.SystemType'PC'",
        });
    
        // List Password Status Of Admin PC User
        var adminPcPasswords = Nutanix.GetSystemUserPasswordsV2.Invoke(new()
        {
            Filter = "username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetSystemUserPasswordsV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // List Password Status Of All System Users
            final var passwords = NutanixFunctions.getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args.builder()
                .build());
    
            // List Password Status Of All System Users With Limit
            final var limitedPasswords = NutanixFunctions.getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args.builder()
                .limit(10)
                .build());
    
            // List Password Status Of All System Users With Filter
            final var filteredPasswords = NutanixFunctions.getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args.builder()
                .filter("systemType eq Clustermgmt.Config.SystemType'PC'")
                .build());
    
            // List Password Status Of Admin PC User
            final var adminPcPasswords = NutanixFunctions.getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args.builder()
                .filter("username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'")
                .build());
    
        }
    }
    
    variables:
      # List Password Status Of All System Users
      passwords:
        fn::invoke:
          function: nutanix:getSystemUserPasswordsV2
          arguments: {}
      # List Password Status Of All System Users With Limit
      limitedPasswords:
        fn::invoke:
          function: nutanix:getSystemUserPasswordsV2
          arguments:
            limit: 10
      # List Password Status Of All System Users With Filter
      filteredPasswords:
        fn::invoke:
          function: nutanix:getSystemUserPasswordsV2
          arguments:
            filter: systemType eq Clustermgmt.Config.SystemType'PC'
      # List Password Status Of Admin PC User
      adminPcPasswords:
        fn::invoke:
          function: nutanix:getSystemUserPasswordsV2
          arguments:
            filter: username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getsystemuserpasswordsv2" "passwords" {
    }
    data "nutanix_getsystemuserpasswordsv2" "limitedPasswords" {
      limit = 10
    }
    data "nutanix_getsystemuserpasswordsv2" "filteredPasswords" {
      filter = "systemType eq Clustermgmt.Config.SystemType'PC'"
    }
    data "nutanix_getsystemuserpasswordsv2" "adminPcPasswords" {
      filter = "username eq 'admin' and systemType eq Clustermgmt.Config.SystemType'PC'"
    }
    
    # List Password Status Of All System Users
    # List Password Status Of All System Users With Limit
    # List Password Status Of All System Users With Filter
    # List Password Status Of Admin PC User
    

    Using getSystemUserPasswordsV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSystemUserPasswordsV2(args: GetSystemUserPasswordsV2Args, opts?: InvokeOptions): Promise<GetSystemUserPasswordsV2Result>
    function getSystemUserPasswordsV2Output(args: GetSystemUserPasswordsV2OutputArgs, opts?: InvokeOptions): Output<GetSystemUserPasswordsV2Result>
    def get_system_user_passwords_v2(filter: Optional[str] = None,
                                     limit: Optional[int] = None,
                                     order_by: Optional[str] = None,
                                     page: Optional[int] = None,
                                     select: Optional[str] = None,
                                     opts: Optional[InvokeOptions] = None) -> GetSystemUserPasswordsV2Result
    def get_system_user_passwords_v2_output(filter: pulumi.Input[Optional[str]] = None,
                                     limit: pulumi.Input[Optional[int]] = None,
                                     order_by: pulumi.Input[Optional[str]] = None,
                                     page: pulumi.Input[Optional[int]] = None,
                                     select: pulumi.Input[Optional[str]] = None,
                                     opts: Optional[InvokeOptions] = None) -> Output[GetSystemUserPasswordsV2Result]
    func GetSystemUserPasswordsV2(ctx *Context, args *GetSystemUserPasswordsV2Args, opts ...InvokeOption) (*GetSystemUserPasswordsV2Result, error)
    func GetSystemUserPasswordsV2Output(ctx *Context, args *GetSystemUserPasswordsV2OutputArgs, opts ...InvokeOption) GetSystemUserPasswordsV2ResultOutput

    > Note: This function is named GetSystemUserPasswordsV2 in the Go SDK.

    public static class GetSystemUserPasswordsV2 
    {
        public static Task<GetSystemUserPasswordsV2Result> InvokeAsync(GetSystemUserPasswordsV2Args args, InvokeOptions? opts = null)
        public static Output<GetSystemUserPasswordsV2Result> Invoke(GetSystemUserPasswordsV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetSystemUserPasswordsV2Result> getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args args, InvokeOptions options)
    public static Output<GetSystemUserPasswordsV2Result> getSystemUserPasswordsV2(GetSystemUserPasswordsV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getSystemUserPasswordsV2:getSystemUserPasswordsV2
      arguments:
        # arguments dictionary
    data "nutanix_getsystemuserpasswordsv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterExtId : filter="clusterExtId eq '8a72db6b-83f3-47b2-a65c-f5de2e50efb9'"
    • hasHspInUse : filter="hasHspInUse eq false"
    • hostIp/value: filter="hostIp/value eq '240.29.254.180'"
    • status : filter="status eq Clustermgmt.Config.PasswordStatus'DEFAULT'"
    • systemType : filter="systemType eq Clustermgmt.Config.SystemType'PC'"
    • username : filter="username eq 'admin'"
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • username : orderby="username desc"
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. The following selection keys are supported:

    • hasHspInUse : select="hasHspInUse"
    • hostIp : select="hostIp"
    • status : select="status"
    • systemType : select="systemType"
    • username : select="username"

    getSystemUserPasswordsV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    Passwords List<PiersKarsenbarg.Nutanix.Outputs.GetSystemUserPasswordsV2Password>
    • List password status of system users
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    Id string
    The provider-assigned unique ID for this managed resource.
    Passwords []GetSystemUserPasswordsV2Password
    • List password status of system users
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    id string
    The provider-assigned unique ID for this managed resource.
    passwords list(object)
    • List password status of system users
    filter string
    limit number
    order_by string
    page number
    select string
    id String
    The provider-assigned unique ID for this managed resource.
    passwords List<GetSystemUserPasswordsV2Password>
    • List password status of system users
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    id string
    The provider-assigned unique ID for this managed resource.
    passwords GetSystemUserPasswordsV2Password[]
    • List password status of system users
    filter string
    limit number
    orderBy string
    page number
    select string
    id str
    The provider-assigned unique ID for this managed resource.
    passwords Sequence[GetSystemUserPasswordsV2Password]
    • List password status of system users
    filter str
    limit int
    order_by str
    page int
    select str
    id String
    The provider-assigned unique ID for this managed resource.
    passwords List<Property Map>
    • List password status of system users
    filter String
    limit Number
    orderBy String
    page Number
    select String

    Supporting Types

    GetSystemUserPasswordsV2Password

    ClusterExtId string
    • UUID of the cluster to which the host NIC belongs.
    ExpiryTime string
    • Expiry of a new password.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    HasHspInUse bool
    • Indicates whether the high-strength password is in use or not.
    HostIps List<PiersKarsenbarg.Nutanix.Inputs.GetSystemUserPasswordsV2PasswordHostIp>
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    LastUpdateTime string
    • Timestamp of last password change.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetSystemUserPasswordsV2PasswordLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Status string
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    SystemType string
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Username string
    • Username.
    ClusterExtId string
    • UUID of the cluster to which the host NIC belongs.
    ExpiryTime string
    • Expiry of a new password.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    HasHspInUse bool
    • Indicates whether the high-strength password is in use or not.
    HostIps []GetSystemUserPasswordsV2PasswordHostIp
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    LastUpdateTime string
    • Timestamp of last password change.
    Links []GetSystemUserPasswordsV2PasswordLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Status string
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    SystemType string
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Username string
    • Username.
    cluster_ext_id string
    • UUID of the cluster to which the host NIC belongs.
    expiry_time string
    • Expiry of a new password.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    has_hsp_in_use bool
    • Indicates whether the high-strength password is in use or not.
    host_ips list(object)
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    last_update_time string
    • Timestamp of last password change.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    status string
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    system_type string
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    tenant_id string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    username string
    • Username.
    clusterExtId String
    • UUID of the cluster to which the host NIC belongs.
    expiryTime String
    • Expiry of a new password.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    hasHspInUse Boolean
    • Indicates whether the high-strength password is in use or not.
    hostIps List<GetSystemUserPasswordsV2PasswordHostIp>
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    lastUpdateTime String
    • Timestamp of last password change.
    links List<GetSystemUserPasswordsV2PasswordLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    status String
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    systemType String
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    username String
    • Username.
    clusterExtId string
    • UUID of the cluster to which the host NIC belongs.
    expiryTime string
    • Expiry of a new password.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    hasHspInUse boolean
    • Indicates whether the high-strength password is in use or not.
    hostIps GetSystemUserPasswordsV2PasswordHostIp[]
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    lastUpdateTime string
    • Timestamp of last password change.
    links GetSystemUserPasswordsV2PasswordLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    status string
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    systemType string
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    tenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    username string
    • Username.
    cluster_ext_id str
    • UUID of the cluster to which the host NIC belongs.
    expiry_time str
    • Expiry of a new password.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    has_hsp_in_use bool
    • Indicates whether the high-strength password is in use or not.
    host_ips Sequence[GetSystemUserPasswordsV2PasswordHostIp]
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    last_update_time str
    • Timestamp of last password change.
    links Sequence[GetSystemUserPasswordsV2PasswordLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    status str
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    system_type str
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    tenant_id str
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    username str
    • Username.
    clusterExtId String
    • UUID of the cluster to which the host NIC belongs.
    expiryTime String
    • Expiry of a new password.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    hasHspInUse Boolean
    • Indicates whether the high-strength password is in use or not.
    hostIps List<Property Map>
    • An unique address that identifies a device on the internet or a local network in IPv4 format.
    lastUpdateTime String
    • Timestamp of last password change.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    status String
    • Contains possible values of password status.
    • MULTIPLE_ISSUES: - Some user accounts have default password or no password set.
    • SECURE: - Secure password is set.
    • NOPASSWD: - No password is set.
    • DEFAULT: - Default password is set.
    systemType String
    • Contains supported variants of the system products.
    • IPMI: - The product is of IPMI type.
    • PC: - The product is of Prism Central type.
    • AOS: - The product is of AOS type.
    • AHV: - The product is of AHV type.
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    username String
    • Username.

    GetSystemUserPasswordsV2PasswordHostIp

    PrefixLength int
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    Value string
    • The IPv4 address of the host.
    PrefixLength int
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    Value string
    • The IPv4 address of the host.
    prefix_length number
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    value string
    • The IPv4 address of the host.
    prefixLength Integer
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    value String
    • The IPv4 address of the host.
    prefixLength number
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    value string
    • The IPv4 address of the host.
    prefix_length int
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    value str
    • The IPv4 address of the host.
    prefixLength Number
    • The prefix length of the network to which this host IPv4/IPv6 address belongs.
    value String
    • The IPv4 address of the host.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href str
    • The URL at which the entity described by the link can be accessed.
    rel str
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.16.0
    published on Tuesday, May 26, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial